--- linux-2.4.27-orig/drivers/sbus/char/zs.c	2002-08-03 01:39:44.000000000 +0100
+++ linux-2.4.27/drivers/sbus/char/zs.c	2004-09-09 20:11:22.000000000 +0100
@@ -68,16 +68,19 @@
  * On 64-bit sparc we only need to flush single writes to ensure
  * completion.
  */
+/* sun4d can defer writes in the same way as 64 bit */
 #ifndef __sparc_v9__
 #define ZSDELAY()		udelay(5)
 #define ZSDELAY_LONG()		udelay(20)
-#define ZS_WSYNC(channel)	do { } while(0)
+/* #define ZS_WSYNC(channel)	do { } while(0) */
 #else
 #define ZSDELAY()
 #define ZSDELAY_LONG()
+#endif
+
 #define ZS_WSYNC(__channel) \
 	sbus_readb(&((__channel)->control))
-#endif
+/* #endif */
 
 struct sun_zslayout **zs_chips;
 struct sun_zschannel **zs_channels;
